﻿
@model IPagedList<FunXgame.Models.Producto>
@using PagedList.Mvc;
@using PagedList;
@{
    ViewBag.Title = "ProductosPorCategoriaMarca";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div>
    <img src="@Url.Content(ViewBag.MarcaCat.Marca.Imagen.Ruta)" style="width:100%; height:200px; margin-bottom:50px"  />
</div>

<div>
    @foreach (var item in Model)
    {
        string nombreCatMar = item.Marca.Nombre_marca + ": " + item.Categoria.Nombre_categoria ;
        <h4>@nombreCatMar</h4>
        break;
    }
</div>

<div>


    <div class="row" style="margin-bottom:20px">

        @foreach (var item in Model)
        {

            int id = item.Id_producto;
            <div class="col-4 d-flex align-items-stretch mt-3">
                <div class="card tarjetas" style="width:16rem; margin-right:auto; margin-left:auto" id="@id">
                    @*En href usar id para ir a los detalles del producto*@
                    <a class="text-decoration-none ancla" href="#">
                        @{
                            string imgId = "img" + id;
                            string nomProd = "titulo" + id;
                            string descProd = "descripcion" + id;
                        }
                        <h5 class="card-title texto-titulo-tarjetas" style="margin-top:10px; margin-left:10px" id="@nomProd">@Html.DisplayFor(modelItem => item.Nombre_producto)</h5>

                        <img class="card-img-top" src="@Url.Content(item.Imagen.Ruta)" alt="Card image cap" style="width:100%; height:10vw; object-fit:cover" id="@imgId" />

                        <p hidden id=@descProd>@Html.DisplayFor(modelItem => item.Descripcion_producto)</p>

                        <div class="card-footer">
                            @{
                                int precio = (int)item.Precio_producto;
                            }
                            <h4 class="card-title texto-precio-tarjetas" style="margin-bottom:10%">@precio.ToString("C")</h4>
                        </div>
                    </a>
                </div>
            </div>

        }

    </div>
    @if (Model.Count == 0)
    {
        <div>
            <h3>No hay existencias disponibles</h3> @*//DAR ESTILOS A MENSAJE*@
        </div>

    }

</div>


<ul class="pagination">
    @Html.PagedListPager(Model, i => Url.Action("ProductoPorCategoriaMarca", "Home", new { i, pageSize = Model.PageSize }))
</ul>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>

    <script>
        $(document).ready(function () {
            $(".card").click(function () {
                var id = $(this).attr("id");
                let imgId = '#img' + id;
                let nomId = '#titulo' + id;
                let desc = '#descripcion' + id;

                let ruta = $(imgId).attr('src');
                let nombreProd = $(nomId).text();
                let descProd = $(desc).text();

                var myImage = new Image();
                myImage.src = ruta;


                console.log(id + " " + ruta);
                swal({
                    icon: ruta,
                    title: nombreProd,
                    text: descProd,
                });
            })
        });
    </script>

}